> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Update compensation

PATCH https://api.letsdeel.com/rest/gp/workers/{worker_id}/compensation
Content-Type: application/json

Updates the compensation for the GP employee and returns the complete compensation history including the applied change.

 **Token scopes**: `people:write`

Reference: https://developer.deel.com/api/endpoints/worker-information/update-gp-worker-compensation

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `worker_id` (string, required) — Unique identifier for a worker in UUID format.

### Body (application/json)

This endpoint expects an object.

- `data` (GpWorkersWorkerIdCompensationPatchRequestBodyContentApplicationJsonSchemaData, required)

## Response

### 200

Successful operation.

- `data` (list of GpWorkersWorkerIdCompensationPatchResponsesContentApplicationJsonSchemaDataItems, required)

## Errors

### 400 Bad Request Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### GpWorkersWorkerIdCompensationPatchRequestBodyContentApplicationJsonSchemaData

- `scale` (enum, required) — The scale to which a given salary applies.
  - Allowed values: `YEAR`, `MONTH`, `HOUR`
- `salary` (double, required) — Compensation salary.
- `effective_date` (string, required) — Short date in format ISO-8601 (YYYY-MM-DD). For example: 2022-12-31.

### GpWorkersWorkerIdCompensationPatchResponsesContentApplicationJsonSchemaDataItems

- `scale` (enum, optional) — The scale to which a given salary applies.
  - Allowed values: `YEAR`, `MONTH`, `HOUR`
- `salary` (string, optional) — Compensation salary.
- `status` (enum, optional) — The status of a salary amendment.
  - Allowed values: `ACTIVE`, `UPCOMING`, `OUTDATED`
- `effective_date` (string, optional) — Short date in format ISO-8601 (YYYY-MM-DD). For example: 2022-12-31.

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

## Examples

**Request**

```json
{
  "data": {
    "scale": "YEAR",
    "salary": 50000,
    "effective_date": "1999-12-31"
  }
}
```

**Response**

```json
{
  "data": [
    {
      "scale": "YEAR",
      "salary": "50000",
      "status": "ACTIVE",
      "effective_date": "1999-12-31"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/compensation"

payload = { "data": {
        "scale": "YEAR",
        "salary": 50000,
        "effective_date": "1999-12-31"
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/compensation';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"scale":"YEAR","salary":50000,"effective_date":"1999-12-31"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/compensation"

	payload := strings.NewReader("{\n  \"data\": {\n    \"scale\": \"YEAR\",\n    \"salary\": 50000,\n    \"effective_date\": \"1999-12-31\"\n  }\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/compensation")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"scale\": \"YEAR\",\n    \"salary\": 50000,\n    \"effective_date\": \"1999-12-31\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/compensation")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"scale\": \"YEAR\",\n    \"salary\": 50000,\n    \"effective_date\": \"1999-12-31\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/compensation', [
  'body' => '{
  "data": {
    "scale": "YEAR",
    "salary": 50000,
    "effective_date": "1999-12-31"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/compensation");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"scale\": \"YEAR\",\n    \"salary\": 50000,\n    \"effective_date\": \"1999-12-31\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": [
    "scale": "YEAR",
    "salary": 50000,
    "effective_date": "1999-12-31"
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/compensation")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```